{
	"$schema": "https://unpkg.com/knip@5/schema.json",
	"ignore": [
		".kanelrc.js",
		"TypeHelpers.type.ts",
		"src/utils/api.ts",
		"src/server/api/trpc.ts",
		"check-env-vars.js",
		"src/components/ui/*",
		"src/hooks/coordDistance.ts",
		"src/hooks/useMobile.tsx",
		"src/lib/nossr.tsx",
		"src/lib/useIsTyping.ts",
		"src/middlewares/apis_middleware.ts",
		"src/server/auth.ts",
		"src/utils/get-media-url.ts",
		"src/utils/utils.ts"
	],
	"ignoreBinaries": ["stripe"],
	"ignoreDependencies": [
		"pdfjs-dist",
		"kysely-plugin-serialize",
		"sharp",
		"uuid",
		"@react-email/components",
		"@types/uuid",
		"kanel-kysely",
		"npm-run-all",
		"@react-email/preview-server",
		"@tailwindcss/forms",
		"@tailwindcss/typography",
		"tailwind-scrollbar",
		"tw-animate-css",
		"@radix-ui/react-dialog",
		"@radix-ui/react-label",
		"@radix-ui/react-slot",
		"@radix-ui/react-tooltip",
		"@radix-ui/react-popover",
		"@radix-ui/react-toggle-group",
		"tailwindcss"
	],
	"project": ["src/**", "**", "!src/schemas/public/*.ts", "!emails/**"]
}
